%define major 2
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}
%define staticdevelname %mklibname -d %{name} -s

Summary:        An API for audio analysis and feature extraction plugins
Name:           vamp-plugin-sdk
Version:        2.10
Release:        %mkrel 2
License:        BSD
Group:          System/Libraries
URL:            https://www.vamp-plugins.org/
Source0:        https://code.soundsoftware.ac.uk/hg/%{name}/archive/vamp-plugin-sdk-v%{version}.tar.bz2

Patch0:         vamp-plugin-sdk-2.10-libdir.patch

BuildRequires:  pkgconfig(sndfile)

%description
Vamp is an API for C and C++ plugins that process sampled audio data to produce
descriptive output (measurements or semantic observations).

%package -n     %{libname}
Summary:        An API for audio analysis and feature extraction plugins library
Group:          System/Libraries

%description -n %{libname}
Vamp is an API for C and C++ plugins that process sampled audio data to produce
descriptive output (measurements or semantic observations).

%package -n     %{develname}
Summary:        Development files (headers) for SLV2
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}
Requires:       pkgconfig

%description -n %{develname}
Vamp is an API for C and C++ plugins that process sampled audio data to produce
descriptive output (measurements or semantic observations).

The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%package -n     %{staticdevelname}
Summary:        Development files (headers) for SLV2
Group:          Development/C
Requires:       %{develname} = %{version}
Provides:       %{name}-static-devel = %{version}

%description -n %{staticdevelname}
Vamp is an API for C and C++ plugins that process sampled audio data to produce
descriptive output (measurements or semantic observations).

The %{name}-static package contains library files for developing static
applications that use %{name}.

%prep
%autosetup -p1 -n %{name}-%{name}-v%{version}
sed -i 's|/lib/vamp|/%{_lib}/vamp|g' src/vamp-hostsdk/PluginHostAdapter.cpp
sed -i 's|/lib/|/%{_lib}/|g' src/vamp-hostsdk/PluginLoader.cpp

%build
export LDFLAGS="-Wl,--as-needed -Wl,-z,relro -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags"
%configure
%make_build

%install
# fix libdir
find . -name '*.pc.in' -exec sed -i 's|/lib|/%{_lib}|' {} ';'
%make_install

find %{buildroot} -name '*.la' -exec rm -f {} ';'

# create Makefile for examples
cd examples
echo CXXFLAGS=$RPM_OPT_FLAGS -fpic >> Makefile
echo bundle: `ls *.o` >> Makefile
echo -e "\t"g++ \$\(CXXFLAGS\) -shared -Wl,-Bsymbolic \
     -o vamp-example-plugins.so \
     *.o \$\(pkg-config --libs vamp-sdk\) >> Makefile
echo `ls *.cpp`: >> Makefile
echo -e "\t"g++ \$\(CXXFLAGS\) -c $*.cpp >> Makefile
echo clean: >> Makefile
echo -e "\t"-rm *.o *.so >> Makefile
# clean directory up so we can package the sources
make clean

%files -n %{libname}
%doc COPYING README
%{_libdir}/*.so.*

%files -n %{develname}
%doc examples
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/vamp/*
%{_bindir}/vamp-rdf-template-generator
%{_bindir}/vamp-simple-host
%{_libdir}/pkgconfig/*.pc

%files -n %{staticdevelname}
%{_libdir}/*.a


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 2.10-2.mga9
+ Revision: 1828303
- Mageia 9 Mass Rebuild

* Mon Jun 08 2020 zezinho <zezinho> 2.10-1.mga8
+ Revision: 1590942
- new version 2.10

* Tue Feb 18 2020 umeabot <umeabot> 2.9.0-2.mga8
+ Revision: 1538557
- Mageia 8 Mass Rebuild

* Fri Nov 22 2019 zezinho <zezinho> 2.9.0-1.mga8
+ Revision: 1462160
- new version

* Wed Oct 16 2019 zezinho <zezinho> 2.8.0-1.mga8
+ Revision: 1454071
- new version 2.8.0

* Sun Sep 23 2018 umeabot <umeabot> 2.7.1-2.mga7
+ Revision: 1301565
- Mageia 7 Mass Rebuild

* Sat Feb 03 2018 zezinho <zezinho> 2.7.1-1.mga7
+ Revision: 1198697
- new version 2.7.1

* Fri Jan 01 2016 zezinho <zezinho> 2.6-1.mga6
+ Revision: 917729
- libdir patch rediffed

* Thu Aug 27 2015 cjw <cjw> 2.5-5.mga6
+ Revision: 870089
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 2.5-4.mga5
+ Revision: 739729
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5-3.mga5
+ Revision: 690125
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.5-2.mga4
+ Revision: 523826
- Mageia 4 Mass Rebuild

* Sat May 25 2013 shlomif <shlomif> 2.5-1.mga4
+ Revision: 427545
- New version 2.5

* Mon Jan 14 2013 umeabot <umeabot> 2.4-2.mga3
+ Revision: 385226
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 luigiwalser <luigiwalser> 2.4-1.mga3
+ Revision: 281008
- 2.4
- spec fixes from mdv

* Thu Mar 24 2011 boklm <boklm> 2.1-3.mga1
+ Revision: 76217
- rebuild for bug #497

* Tue Mar 08 2011 ennael <ennael> 2.1-2.mga1
+ Revision: 66680
- clean spec file
- imported package vamp-plugin-sdk


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1-2mdv2011.0
+ Revision: 608121
- rebuild

* Tue Dec 22 2009 Caio Begotti <caio1982@mandriva.org> 2.1-1mdv2010.1
+ Revision: 481343
- update vamp-plugin-sdk after a long winter (so that we can import sonic-visualiser)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.1b-5mdv2010.0
+ Revision: 427488
- rebuild

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 1.1b-4mdv2009.1
+ Revision: 261831
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.1b-3mdv2009.0
+ Revision: 255285
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Mar 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1b-1mdv2008.1
+ Revision: 182977
- import vamp-plugin-sdk


* Sun Mar 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1b-1mdv2008.1
- initial Mandriva release

* Thu Jan 31 2008 Michel Salim <michel.sylvan@gmail.com> - 1.1b-4
- Add some #includes, needed due to GCC 4.3's header dependency cleanup

* Mon Jan 28 2008 Michel Salim <michel.sylvan@gmail.com> - 1.1b-3
- Add examples to -devel subpackage
- Fix .pc files
- Preserve timestamps when installing

* Sun Jan 27 2008 Michel Salim <michel.sylvan@gmail.com> - 1.1b-2
- Add missing build requirement on libsndfile-devel

* Wed Jan 16 2008 Michel Salim <michel.sylvan@gmail.com> - 1.1b-1
- Initial Fedora package
